BEGIN TRANSACTION;
CREATE TABLE "users" (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE,
	`name`	TEXT,
	`password`	TEXT,
	`email`	TEXT,
	`created`	TEXT,
	`birth`	TEXT,
	`grade`	INTEGER,
	`token`	TEXT
);
CREATE TABLE "user_exams" (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE,
	`user_id`	INTEGER,
	`exam_id`	INTEGER,
	`created`	TEXT
);
CREATE TABLE `exams` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE,
	`cat_id`	INTEGER,
	`title`	TEXT,
	`description`	TEXT,
	`created`	INTEGER
);
CREATE TABLE `categories` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE,
	`parent_id`	INTEGER,
	`title`	TEXT,
	`description`	TEXT,
	`created`	TEXT
);
CREATE TABLE "cards" (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE,
	`exam_id`	INTEGER,
	`title`	TEXT,
	`data`	TEXT,
	`img`	TEXT,
	`created`	TEXT
);
CREATE TABLE "admin" ( `id` INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE, `username` TEXT, `password` TEXT, `email` TEXT, `created` TEXT, `birth` TEXT, `grade` INTEGER, `token` TEXT );
INSERT INTO `admin` (id,username,password,email,created,birth,grade,token) VALUES (1,'profmansour','2017_9','profmansour@nour.com','22-9-2017',NULL,NULL,NULL);
COMMIT;
